> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/disk-snapshot/describeautosnapshotpolicies.md).

# DescribeAutoSnapshotPolicies

## 1. API Description

This API (DescribeAutoSnapshotPolicies) is used to query the details of snapshot schedules.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name         | Required | Type                                                            | Description                                                                                 |
| ---------------------- | -------- | --------------------------------------------------------------- | ------------------------------------------------------------------------------------------- |
| autoSnapshotPolicyIds  | No       | Array of String                                                 | Filter by the ID of the snapshot schedule.                                                  |
| zoneIds                | No       | Array of String                                                 | Filter by the availability zone ID of the snapshot schedule.                                |
| autoSnapshotPolicyName | No       | String                                                          | <p>Filter by the name of the snapshot schedule.</p><p>This field supports fuzzy search.</p> |
| resourceGroupId        | No       | String                                                          | Filter by resource group ID.                                                                |
| pageSize               | No       | Integer                                                         | <p>Number of items in the current page result.</p><p>Default value: 20</p>                  |
| pageNum                | No       | Integer                                                         | <p>Number of pages returned.</p><p>Default value: 1</p>                                     |
| tagKeys                | No       | Array of String                                                 | <p>Query using tag keys.</p><p>A maximum of 20 tag keys can be used.</p>                    |
| tags                   | No       | Array of [Tag](/api-reference/compute/zec/datastructure.md#tag) | <p>Query using tags.</p><p>A maximum of 20 tags can be used.</p>                            |

## 3. Output Parameters

| Parameter Name | Type                                                                                          | Description                                                                                                           |
| -------------- | --------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                        | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| dataSet        | Array of [AutoSnapshotPolicy](/api-reference/compute/zec/datastructure.md#autosnapshotpolicy) | The data results of the snapshot schedule queried.                                                                    |
| totalCount     | Integer                                                                                       | The total number of matching results.                                                                                 |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the list of snapshot schedule.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeAutoSnapshotPolicies
<Common Request Params>

Request：
{}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "totalCount": 1,
    "dataSet": [
      {
        "autoSnapshotPolicyId": "<autoSnapshotPolicyId>",
        "zoneId": "asia-east-1a",
        "autoSnapshotPolicyName": "Snapshot-Policy",
        "repeatWeekDays": [
            1,
            2,
            3,
            4,
            5,
            6,
            7
        ],
        "hours": [
            0
        ],
        "retentionDays": 30,
        "diskNum": 1,
        "createTime": "2025-08-21T08:09:30Z",
        "resourceGroup": {
            "resourceGroupId": "<resourceGroupId>",
            "resourceGroupName": "Default Resource Group"
        },
        "diskIdSet": [
            "<diskId>"
        ],
        "tags":null
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/disk-snapshot/describeautosnapshotpolicies.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
